Ads and Commerce
Ads and Commerce
Resources

Business Client Apps

Updated: Aug 8, 2023

Reading

This business can access these client-owned apps.

Example

GET /v25.0/{business-id}/client_apps HTTP/1.1
Host: graph.facebook.com
If you want to learn how to use the Graph API, read our Using Graph API guide

Parameters

This endpoint doesn't have any parameters.

Fields

Reading from this edge will return a JSON formatted result:
{
"data": [],
"paging": {},
"summary": {}
}
data
A list of Application nodes.
The following fields will be added to each node that is returned:
Field Description
permitted_tasks
list<string>
Tasks that are assignable to users on this asset
paging
For more details about pagination, see the Graph API guide.
summary
Aggregated information about the edge, such as counts. Specify the fields to fetch in the summary param (like summary=__type__).
Field Description
total_count
int32
Total number of apps.

default

Error Codes

Error Code Description
200
Permissions error

Creating

/{business_id}/client_apps

You can make a POST request to client_apps edge from the following paths:
When posting to this edge, an Application will be created.

Parameters

Parameter Description
app_id
App ID.
required

Return Type

This endpoint supports read-after-write and will read the node to which you POSTed.
Struct  {
access_status: enum,
}

Error Codes

Error Code Description
100
Invalid parameter

Updating

You can't perform this operation on this endpoint.

Deleting

Did you find this page helpful?
Thumbs up icon
Thumbs down icon